<?php
/*
* ARTURO: PAYPAL RECEIVER
* Añadimos el modulo de paypal receiver. woocommerce_before_order_notes - woocommerce_review_order_before_payment -woocommerce_review_order_before_submit
* Al momento de hacer el update capturamos el dato que corresponda y lo grabamos en post_meta
*/
defined( 'ABSPATH' ) || exit;

add_action('woocommerce_checkout_update_order_meta', 'my_custom_checkout_field_update_order_meta',10,2);
function my_custom_checkout_field_update_order_meta( $order_id,$data ) {
	$order = wc_get_order( $order_id );	
	$metodo=$order->get_payment_method_title();
	//if(strpos($metodo,"paypal")!==FALSE){
	if(stristr($metodo, "paypal")){
		$ppm = get_paypal_payment_method();
		switch ($ppm){
			case "checkout":
				$options = get_option( 'woocommerce_ppec_paypal_settings' );//CHECKOUT
				$def=str_replace("_api1.","@",$options['api_username']);
				break;
			case "payments":
				$options = get_option( 'woocommerce-ppcp-settings' );//PAYMENTS
				$def=$options['merchant_email'];
				break;
			case "standard":
				$options = get_option( 'woocommerce_paypal_settings' );
				$def=$options['receiver_email'];
				break;
			case "gateway":
				$def = get_option( 'pp_current_user','Configure!');
				break;
			default:
				$def="Paypal receiver was not detected.(".$metodo.")"; // El receptor de paypal no fue detectado. Comunique al Departamento de Desarrollo.
				$depu['metodo']=$metodo; 
				$depu['ppm']=$ppm;
				update_post_meta($order_id,'depu',$depu);
		}
	    //update_post_meta( $order_id, 'depu1', $metodo);
	    update_post_meta( $order_id, 'paypal_receiver', $def);
	}
}// fin de function
function my_custom_checkout_field_update_order_meta_OLD( $order_id,$data ) {
	$order = wc_get_order( $order_id );	
	$metodo=$order->get_payment_method_title();
	if(strpos($metodo,"PayPal")!==FALSE){
		$options = get_option( 'woocommerce_paypal_settings' );
		if($options['enabled']=="yes"){
	        $def=$options['receiver_email'];
		}else{
			$options1 = get_option( 'woocommerce_ppec_paypal_settings' );//CHECKOUT
			if($options1['enabled']=="yes"){
	            $def=str_replace("_api1.","@",$options1['api_username']);
			}else{
				$options2 = get_option( 'woocommerce_yith-paypal-ec_settings' );//$options = get_option( 'woocommerce_paypal_settings' );
				if($options2['enabled']=="yes"){
					$def=str_replace("_api1.","@",$options2['live_api_username']);
				}else{
					$options2 = get_option( 'woocommerce_twocheckout_convert_plus_settings' );//$options = get_option( 'woocommerce_paypal_settings' ); 
					if($options2['enabled']=="yes"){
						$def="2checkout"; // El receptor de paypal no fue detectado. Comunique al Departamento de Desarrollo.
					}else{
						$def="Paypal receiver was not detected."; // El receptor de paypal no fue detectado. Comunique al Departamento de Desarrollo.
					}
				}
			}
		}
		//if(get_post_meta($order_id,"paypal_receiver")<>""){}
	    update_post_meta( $order_id, 'paypal_receiver', $def);
	}
}// fin de function

// Para insertar en los email de notificación de Pedido el campo personalizado. 
add_filter('woocommerce_email_order_meta_keys', 'my_custom_checkout_field_order_meta_keys');
function my_custom_checkout_field_order_meta_keys( $keys ) {
	$keys[] = 'paypal_receiver';
    return $keys;
}
/////// FIN: PAYPAL RECEIVER
